<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxHtmlCanvas (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxHtmlCanvas (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxHtmlCanvas.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.canvas</a></div>
<h2 title="Class mxHtmlCanvas" class="title">Class mxHtmlCanvas</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">import hk.quantr.mxgraph.canvas.mxBasicCanvas</a></li>
<li>
<ul class="inheritance">
<li>import hk.quantr.mxgraph.canvas.mxHtmlCanvas</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxHtmlCanvas</span>
extends <a href="mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxBasicCanvas</a></pre>
<div class="block">An implementation of a canvas that uses HTML for painting.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.w3c.dom.Document</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#document">document</a></span></code></th>
<td class="colLast">
<div class="block">Holds the HTML document that represents the canvas.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.import hk.quantr.mxgraph.canvas.mxBasicCanvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;import hk.quantr.mxgraph.canvas.<a href="mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxBasicCanvas</a></h3>
<code><a href="mxBasicCanvas.html#DEFAULT_IMAGEBASEPATH">DEFAULT_IMAGEBASEPATH</a>, <a href="mxBasicCanvas.html#drawLabels">drawLabels</a>, <a href="mxBasicCanvas.html#imageBasePath">imageBasePath</a>, <a href="mxBasicCanvas.html#imageCache">imageCache</a>, <a href="mxBasicCanvas.html#PRESERVE_IMAGE_ASPECT">PRESERVE_IMAGE_ASPECT</a>, <a href="mxBasicCanvas.html#scale">scale</a>, <a href="mxBasicCanvas.html#translate">translate</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxHtmlCanvas</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructs a new HTML canvas for the specified dimension and scale.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.w3c.dom.Document)">mxHtmlCanvas</a></span>&#8203;(org.w3c.dom.Document&nbsp;document)</code></th>
<td class="colLast">
<div class="block">Constructs a new HTML canvas for the specified bounds, scale and
 background color.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#appendHtmlElement(org.w3c.dom.Element)">appendHtmlElement</a></span>&#8203;(org.w3c.dom.Element&nbsp;node)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawCell(import hk.quantr.mxgraph.view.mxCellState)">drawCell</a></span>&#8203;(<a href="../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Draws the given cell.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawLabel(java.lang.String,import hk.quantr.mxgraph.view.mxCellState,boolean)">drawLabel</a></span>&#8203;(java.lang.String&nbsp;label,
         <a href="../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         boolean&nbsp;html)</code></th>
<td class="colLast">
<div class="block">Draws the given label.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawLine(java.util.List,java.util.Map)">drawLine</a></span>&#8203;(java.util.List&lt;<a href="../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;pts,
        java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Draws the given lines as segments between all points of the given list
 of mxPoints.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawSegment(int,int,int,int,java.lang.String,int)">drawSegment</a></span>&#8203;(int&nbsp;x0,
           int&nbsp;y0,
           int&nbsp;x1,
           int&nbsp;y1,
           java.lang.String&nbsp;strokeColor,
           int&nbsp;strokeWidth)</code></th>
<td class="colLast">
<div class="block">Draws the specified segment of a line.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.w3c.dom.Element</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawShape(int,int,int,int,java.util.Map)">drawShape</a></span>&#8203;(int&nbsp;x,
         int&nbsp;y,
         int&nbsp;w,
         int&nbsp;h,
         java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Draws the shape specified with the STYLE_SHAPE key in the given style.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.w3c.dom.Element</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawText(java.lang.String,int,int,int,int,java.util.Map)">drawText</a></span>&#8203;(java.lang.String&nbsp;text,
        int&nbsp;x,
        int&nbsp;y,
        int&nbsp;w,
        int&nbsp;h,
        java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Draws the specified text either using drawHtmlString or using drawString.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.w3c.dom.Document</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDocument()">getDocument</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a reference to the document that represents the canvas.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDocument(org.w3c.dom.Document)">setDocument</a></span>&#8203;(org.w3c.dom.Document&nbsp;document)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.import hk.quantr.mxgraph.canvas.mxBasicCanvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;import hk.quantr.mxgraph.canvas.<a href="mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxBasicCanvas</a></h3>
<code><a href="mxBasicCanvas.html#flushImageCache()">flushImageCache</a>, <a href="mxBasicCanvas.html#getImageBasePath()">getImageBasePath</a>, <a href="mxBasicCanvas.html#getImageForStyle(java.util.Map)">getImageForStyle</a>, <a href="mxBasicCanvas.html#getScale()">getScale</a>, <a href="mxBasicCanvas.html#getTranslate()">getTranslate</a>, <a href="mxBasicCanvas.html#isDrawLabels()">isDrawLabels</a>, <a href="mxBasicCanvas.html#loadImage(java.lang.String)">loadImage</a>, <a href="mxBasicCanvas.html#setDrawLabels(boolean)">setDrawLabels</a>, <a href="mxBasicCanvas.html#setImageBasePath(java.lang.String)">setImageBasePath</a>, <a href="mxBasicCanvas.html#setScale(double)">setScale</a>, <a href="mxBasicCanvas.html#setTranslate(double,double)">setTranslate</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="document">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>document</h4>
<pre>protected&nbsp;org.w3c.dom.Document document</pre>
<div class="block">Holds the HTML document that represents the canvas.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxHtmlCanvas</h4>
<pre>public&nbsp;mxHtmlCanvas()</pre>
<div class="block">Constructs a new HTML canvas for the specified dimension and scale.</div>
</li>
</ul>
<a id="&lt;init&gt;(org.w3c.dom.Document)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxHtmlCanvas</h4>
<pre>public&nbsp;mxHtmlCanvas&#8203;(org.w3c.dom.Document&nbsp;document)</pre>
<div class="block">Constructs a new HTML canvas for the specified bounds, scale and
 background color.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="appendHtmlElement(org.w3c.dom.Element)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>appendHtmlElement</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;appendHtmlElement&#8203;(org.w3c.dom.Element&nbsp;node)</pre>
</li>
</ul>
<a id="setDocument(org.w3c.dom.Document)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDocument</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDocument&#8203;(org.w3c.dom.Document&nbsp;document)</pre>
</li>
</ul>
<a id="getDocument()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocument</h4>
<pre class="methodSignature">public&nbsp;org.w3c.dom.Document&nbsp;getDocument()</pre>
<div class="block">Returns a reference to the document that represents the canvas.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the document.</dd>
</dl>
</li>
</ul>
<a id="drawCell(import hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawCell</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;drawCell&#8203;(<a href="../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="mxICanvas.html#drawCell(import hk.quantr.mxgraph.view.mxCellState)">mxICanvas</a></code></span></div>
<div class="block">Draws the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - State of the cell to be painted.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object that represents the cell.</dd>
</dl>
</li>
</ul>
<a id="drawLabel(java.lang.String,import hk.quantr.mxgraph.view.mxCellState,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawLabel</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;drawLabel&#8203;(java.lang.String&nbsp;label,
                                  <a href="../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                  boolean&nbsp;html)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="mxICanvas.html#drawLabel(java.lang.String,import hk.quantr.mxgraph.view.mxCellState,boolean)">mxICanvas</a></code></span></div>
<div class="block">Draws the given label.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - String that represents the label.</dd>
<dd><code>state</code> - State of the cell whose label is to be painted.</dd>
<dd><code>html</code> - Specifies if the label contains HTML markup.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object that represents the label.</dd>
</dl>
</li>
</ul>
<a id="drawShape(int,int,int,int,java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawShape</h4>
<pre class="methodSignature">public&nbsp;org.w3c.dom.Element&nbsp;drawShape&#8203;(int&nbsp;x,
                                     int&nbsp;y,
                                     int&nbsp;w,
                                     int&nbsp;h,
                                     java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
<div class="block">Draws the shape specified with the STYLE_SHAPE key in the given style.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X-coordinate of the shape.</dd>
<dd><code>y</code> - Y-coordinate of the shape.</dd>
<dd><code>w</code> - Width of the shape.</dd>
<dd><code>h</code> - Height of the shape.</dd>
<dd><code>style</code> - Style of the the shape.</dd>
</dl>
</li>
</ul>
<a id="drawLine(java.util.List,java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawLine</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;drawLine&#8203;(java.util.List&lt;<a href="../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;pts,
                     java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
<div class="block">Draws the given lines as segments between all points of the given list
 of mxPoints.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pts</code> - List of points that define the line.</dd>
<dd><code>style</code> - Style to be used for painting the line.</dd>
</dl>
</li>
</ul>
<a id="drawSegment(int,int,int,int,java.lang.String,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawSegment</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;drawSegment&#8203;(int&nbsp;x0,
                           int&nbsp;y0,
                           int&nbsp;x1,
                           int&nbsp;y1,
                           java.lang.String&nbsp;strokeColor,
                           int&nbsp;strokeWidth)</pre>
<div class="block">Draws the specified segment of a line.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x0</code> - X-coordinate of the start point.</dd>
<dd><code>y0</code> - Y-coordinate of the start point.</dd>
<dd><code>x1</code> - X-coordinate of the end point.</dd>
<dd><code>y1</code> - Y-coordinate of the end point.</dd>
<dd><code>strokeColor</code> - Color of the stroke to be painted.</dd>
<dd><code>strokeWidth</code> - Width of the stroke to be painted.</dd>
</dl>
</li>
</ul>
<a id="drawText(java.lang.String,int,int,int,int,java.util.Map)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>drawText</h4>
<pre class="methodSignature">public&nbsp;org.w3c.dom.Element&nbsp;drawText&#8203;(java.lang.String&nbsp;text,
                                    int&nbsp;x,
                                    int&nbsp;y,
                                    int&nbsp;w,
                                    int&nbsp;h,
                                    java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
<div class="block">Draws the specified text either using drawHtmlString or using drawString.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - Text to be painted.</dd>
<dd><code>x</code> - X-coordinate of the text.</dd>
<dd><code>y</code> - Y-coordinate of the text.</dd>
<dd><code>w</code> - Width of the text.</dd>
<dd><code>h</code> - Height of the text.</dd>
<dd><code>style</code> - Style to be used for painting the text.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxHtmlCanvas.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
